Error message trying to use Binflash (NEC ND-6500A)

vbimport

#1

[qanda]This thread is about the NEC ND-6500A. Click here to see full specs[/qanda]My original firmware version: 2.25. When trying to flash with Binflash and version 2.25BT for bit setting the following message appears: “The firmware does not provide a bootcode version”. I have experimented with other versions and the same error comes up. I have spent the last few days reading every post I can find and nothing is becoming clear as to what’s happening. Any guidance would be appreciated.


#2

[QUOTE=Littleshark;2183611][qanda]This thread is about the NEC ND-6500A. Click here to see full specs[/qanda]My original firmware version: 2.25. When trying to flash with Binflash and version 2.25BT for bit setting the following message appears: “The firmware does not provide a bootcode version”. I have experimented with other versions and the same error comes up. I have spent the last few days reading every post I can find and nothing is becoming clear as to what’s happening. Any guidance would be appreciated.[/QUOTE]

Try booting into safemode first


#3

I have tried that and it also failed. After I close the error window it states: “Found 0x3030 - Expected 0xffff”. When I try to use any version of firmware this message is exactly the same. Thanks for the fast response.


#4

This could be a bug in the latest Binflash version.

I had to change several parts in this area to make Binflash compatible with files containing more than one firmware.

I’ll try to investigate as soon as possible.


#5

I very much appreciate any effort put towards this problem. Never had any trouble flashing drives in the past and I’m sure this will resolve also. Thanks again.


#6

Found and eliminated the bug. Fixed version will uploaded.


#7

Success! New firmware flashed and bitsetting is now available. Thanks again for all your efforts.